<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
        </interface>
        <fqname>@1.2::INfc/default</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.nfc</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IHWNfc</name>
            <instance>default</instance>
        </interface>
        <fqname>@1.0::IHWNfc/default</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.hisupl</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.gnss</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <version>2.0</version>
        <interface>
            <name>IGnss</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.gnss</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IHWGnss</name>
            <instance>default</instance>
        </interface>
    </hal>
</manifest>
